import request from '@/utils/dsRequest'

export function getAllEnabledRoomAreas() {
  return request({
    url: '/RoomArea/GetAllEnabledRoomAreas',
    method: 'get'
  })
}

export function queryRoomArea(data) {
  return request({
    url: '/RoomArea/QueryAreaPager',
    method: 'post',
    data
  })
}

export function CreateRoomArea(data) {
  return request({
    url: '/RoomArea/CreateArea',
    method: 'post',
    data
  })
}
export function GetRoomArea(data) {
  return request({
    url: '/RoomArea/GetArea',
    method: 'post',
    data
  })
}

export function UpdateRoomArea(data) {
  return request({
    url: '/RoomArea/UpdateArea',
    method: 'post',
    data
  })
}

export function DeleteRoomArea(data) {
  return request({
    url: '/RoomArea/DeleteArea',
    method: 'post',
    data
  })
}

export function DisableRoomArea(data) {
  return request({
    url: '/RoomArea/DisableArea',
    method: 'post',
    data
  })
}

export function EnableRoomArea(data) {
  return request({
    url: '/RoomArea/EnableArea',
    method: 'post',
    data
  })
}
